Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.commands
[Groovy] Class AliasTargetProxyCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.commands.AliasTargetProxyCommand

    class AliasTargetProxyCommand
    extends CommandSupport

Field Summary

Fields inherited from class CommandSupport
NEWLINE, io, log, messages, registry, shell

Property Summary
`java.util.List` | `args`

Constructor Summary
`AliasTargetProxyCommand(Shell shell, java.lang.String name, java.util.List args)`

Method Summary
`java.lang.Object` | `execute(java.util.List args)`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getHelp()`
`java.lang.String` | `getUsage()`

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompletor, getDescription, getHelp, getHistory, getImports, getUsage, getVariables

Property Detail

### args

    final java.util.List args

Constructor Detail

### AliasTargetProxyCommand

    AliasTargetProxyCommand(Shell shell, java.lang.String name, java.util.List args)

Method Detail

### execute

    java.lang.Object execute(java.util.List args)

### getDescription

    java.lang.String getDescription()

### getHelp

    java.lang.String getHelp()

### getUsage

    java.lang.String getUsage()

Groovy Documentation